%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname state_machine
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:       Adds support for creating state machines for attributes on any Ruby class
Name:          rubygem-%{gemname}
Version:       0.10.3
Release:       3%{?dist}
Group:         Development/Languages
License:       MIT
URL:           http://www.pluginaweek.org
Source0:       http://rubygems.org/downloads/%{gemname}-%{version}.gem
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      ruby(abi) = 1.8
Requires:      rubygems
Requires:      graphviz-ruby
BuildRequires: rubygems, rubygem-rake, graphviz-ruby
BuildArch:     noarch
Provides:      rubygem(%{gemname}) = %{version}

%description
Adds support for creating state machines for attributes on any Ruby class

%prep

%build

%package doc
Summary: Documentation files, rdoc, ri, examples and tests
Group: Documentation


%description doc
Documentation files for state_machine, includes RDoc, ri, tests,
examples and another extra documentation files.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%check
cd %{buildroot}%{gemdir}/gems/%{gemname}-%{version}
echo "Running tests"
rake test ||:

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{geminstdir}/lib
%dir %{geminstdir}
%doc %{geminstdir}/init.rb        
%doc %{geminstdir}/CHANGELOG.rdoc
%doc %{geminstdir}/LICENSE
%doc %{geminstdir}/README.rdoc
%{gemdir}/cache/%{gemname}-%{version}.gem
%doc %{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%doc %{geminstdir}/examples
%doc %{geminstdir}/test
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/Rakefile

%changelog
* Tue Apr 12 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.10.3-3
- escaped tests until rubygem-ruby-graphruby gets into Fedora

* Tue Apr 12 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.10.3-2
- graphviz-ruby dependency added

* Mon Apr 11 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.10.3-1
- Udpate to 0.10.3 version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 03 2011 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-5
- %%check section added

* Mon Oct 25 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-4
- Group Documentation for -doc subpackage

* Thu Sep 23 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-3
- Bug fixed BZ636902

* Sun Aug 15 2010 Guillermo Gómez <gomix@fedoraproject.org> - 0.9.4-2
- Documentation splitted in -doc subpackage.

* Tue Aug 10 2010 Guillermo Gomez <gomix@fedoraproject.org> - 0.9.4-1
- Release 0.9.4 of state_machine.

* Mon Aug 17 2009 Darryl Pierce <dpierce@redhat.com> - 0.8.0-1
- Release 0.8.0 of state_machine.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.6-1
- First official release for Fedora.

* Mon Jul 13 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-4
- Fixed ownership of install directory.

* Fri Jul 10 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-3
- Fixed double-listing of files.

* Wed Jul  1 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-2
- Fixed license to be MIT.
- Added ruby(abi) requirement.

* Sat May 23 2009 Darryl Pierce <dpierce@redhat.com> - 0.7.4-1
- Initial package
